# Uses of Interface
com.mockobjects.dynamic.ConstraintMatcher

Packages that use ConstraintMatcher
Package
Description
com.mockobjects.dynamic

## Uses of ConstraintMatcher in com.mockobjects.dynamic

Classes in com.mockobjects.dynamic that implement ConstraintMatcher
Modifier and Type
Class
Description
`class`
`AnyConstraintMatcher`
`class`
`FullConstraintMatcher`
Fields in com.mockobjects.dynamic declared as ConstraintMatcher
Modifier and Type
Field
Description
`static final ConstraintMatcher`
C.`ANY_ARGS`
`static final ConstraintMatcher`
C.`NO_ARGS`
Methods in com.mockobjects.dynamic that return ConstraintMatcher
Modifier and Type
Method
Description
`static ConstraintMatcher`
C.`anyArgs(int argCount)`
`static ConstraintMatcher`
C.`args()`
`static ConstraintMatcher`
C.`args(Constraint p)`
`static ConstraintMatcher`
C.`args(Constraint p1, Constraint p2)`
`static ConstraintMatcher`
C.`args(Constraint p1, Constraint p2, Constraint p3)`
`static ConstraintMatcher`
C.`eq(Object arg0, Object arg1)`
`static ConstraintMatcher`
C.`eq(Object arg0, Object arg1, Object arg2)`
Methods in com.mockobjects.dynamic with parameters of type ConstraintMatcher
Modifier and Type
Method
Description
`Callable`
CallFactory.`createCallSignature(String methodName, ConstraintMatcher constraints, Callable call)`
`Callable`
DefaultCallFactory.`createCallSignature(String methodName, ConstraintMatcher constraints, Callable call)`
`void`
Mock.`expect(String methodName, ConstraintMatcher args)`
`void`
Mock.`expectAndReturn(String methodName, ConstraintMatcher args, boolean result)`
`void`
Mock.`expectAndReturn(String methodName, ConstraintMatcher args, int result)`
`void`
Mock.`expectAndReturn(String methodName, ConstraintMatcher args, Object result)`
`void`
Mock.`expectAndThrow(String methodName, ConstraintMatcher args, Throwable exception)`
`void`
Mock.`expectVoid(String methodName, ConstraintMatcher args)`
Deprecated.
@see expect
`void`
Mock.`matchAndReturn(String methodName, ConstraintMatcher args, boolean result)`
`void`
Mock.`matchAndReturn(String methodName, ConstraintMatcher args, int result)`
`void`
Mock.`matchAndReturn(String methodName, ConstraintMatcher args, Object result)`
`void`
Mock.`matchAndThrow(String methodName, ConstraintMatcher args, Throwable throwable)`
Constructors in com.mockobjects.dynamic with parameters of type ConstraintMatcher
Modifier
Constructor
Description
``
`CallSignature(String methodName, ConstraintMatcher constraints, Callable delegate)`